Autoupdates ລົ້ມເຫລວໃນ WordPress ບໍ? FTP ລົ້ມເຫລວ?

WordPressບໍ່ດົນມານີ້, ພວກເຮົາມີລູກຄ້າທີ່ ກຳ ນົດຄ່າ server ຂອງພວກເຂົາເອງເພື່ອ ນຳ ໃຊ້ກັບ WordPress. ເມື່ອບໍ່ດົນມານີ້ ຄວາມປອດໄພ 3.04 ການປັບປຸງໄດ້ຜ່ານມາ, ມີຄວາມຮູ້ສຶກທີ່ຮີບດ່ວນທີ່ຈະຕິດຕັ້ງລຸ້ນນີ້ໃຫ້ກັບລູກຄ້າຂອງພວກເຮົາທັງ ໝົດ. ເຖິງຢ່າງໃດກໍ່ຕາມ, ລູກຄ້າສະເພາະຄົນນີ້ຕ້ອງການໃຫ້ພວກເຮົາຍົກລະດັບ WordPress ດ້ວຍຕົນເອງ ... ຂັ້ນຕອນທີ່ບໍ່ເຮັດໃຫ້ຫົວໃຈອ່ອນເພຍ!

ພວກເຮົາຈະບໍ່ໄດ້ຮັບການປົກກະຕິ“ບໍ່ສາມາດຂຽນແຟ້ມຂໍ້ຜິດພາດໃນບລັອກນີ້. ແທນທີ່ພວກເຮົາໄດ້ສະ ໜອງ ໜ້າ ຈໍດ້ວຍການເຂົ້າສູ່ລະບົບ FTP. ບັນຫາແມ່ນວ່າພວກເຮົາຈະຕື່ມຂໍ້ມູນໃສ່ໃນຂໍ້ມູນປະຈໍາຕົວ FTP ແລະມັນກໍ່ຈະເປັນ ຍັງລົ້ມເຫລວ…ເວລານີ້ອີງໃສ່ຂໍ້ມູນປະ ຈຳ ຕົວທີ່ດີ!

ຂ້ອຍໄດ້ຕິດຕໍ່ພົວພັນກັບເພື່ອນຂອງພວກເຮົາທີ່ສູນຂໍ້ມູນ Lifeline, Indiana ສູນຂໍ້ມູນທີ່ໃຫຍ່ທີ່ສຸດ, ນັບຕັ້ງແຕ່ພວກເຂົາມີ geeks ບາງ Apache ແລະໄດ້ຕັ້ງຄ່າເຊີຟເວີຂອງພວກເຂົາເອງ. ພວກເຂົາໄດ້ສະ ເໜີ ວິທີແກ້ໄຂງ່າຍໆໃຫ້ຂ້ອຍ - ຕື່ມຂໍ້ມູນປະ ຈຳ ຕົວຂອງ FTP ໂດຍກົງພາຍໃນ wp-config.php ຍື່ນເພື່ອຮວບຮວມຂໍ້ມູນປະ ຈຳ ຕົວ FTP:

ນິຍາມ ('FTP_HOST', 'localhost'); ນິຍາມ ('FTP_USER', 'ຊື່ຜູ້ໃຊ້'); ນິຍາມ ('FTP_PASS', 'ລະຫັດຜ່ານ');

ດ້ວຍເຫດຜົນບາງຢ່າງ, ຂໍ້ມູນປະ ຈຳ ຕົວທີ່ບໍ່ໄດ້ເຮັດວຽກໃນຮູບແບບ, ເຮັດວຽກໄດ້ດີເລີດເມື່ອໃສ່ໃນເອກະສານການຕັ້ງຄ່າ! ເຊັ່ນດຽວກັນ, ມັນເຮັດໃຫ້ WordPress ເຮັດຄືກັບວ່າມັນບໍ່ ຈຳ ເປັນຕ້ອງໃຊ້ FTP …. ພຽງແຕ່ກົດອັບເດດແລະໄປ!

4 ຄໍາເຫັນ

  1. 1

    ຂ້ອຍໄດ້ປະສົບກັບຂໍ້ຜິດພາດກ່ຽວກັບການອັບເດດ WordPress ໂດຍອັດຕະໂນມັດຫຼັງຈາກການສ້າງ server ຂອງຂ້ອຍແລະສ້າງການຕິດຕັ້ງ WordPress ໃໝ່. ບັນຫາຂອງຂ້ອຍເກີດຂື້ນຈາກ Firefox, ບໍ່ແມ່ນ WordPress - ຄົນອື່ນອາດຈະປະສົບບັນຫາດຽວກັນຖ້າຊື່ຜູ້ໃຊ້ FTP ແລະຊື່ຜູ້ໃຊ້ WordPress ຂອງພວກເຂົາແມ່ນຄືກັນກັບຂ້ອຍຄືກັນ (ເຖິງແມ່ນວ່າມັນມີລະດັບຄວາມແຕກຕ່າງແລະລະຫັດຜ່ານ).

    ປັນຫາກໍ່ຄືວ່າ Firefox, ຖ້າທ່ານມີ "ຈື່ລະຫັດລັບ" ຖືກເປີດໃຊ້, ມັນຈະແກ້ໄຂຜູ້ໃຊ້ / ຜ່ານແບບຟອມໂດຍອັດຕະໂນມັດໃນສິ່ງທີ່ມັນຄິດວ່າມັນຄວນຈະອີງໃສ່ສິ່ງທີ່ເກັບໄວ້ໃນຕົວຈັດການລະຫັດຜ່ານ. ໃນກໍລະນີຂອງຂ້ອຍ, ຂໍ້ມູນຄວາມສາມາດ WordPress ຂອງຂ້ອຍຖືກບັນທຶກໄວ້, ແຕ່ຂໍ້ມູນປະ ຈຳ ຕົວ FTP ຂອງຂ້ອຍບໍ່ໄດ້, ຍ້ອນວ່າພວກເຂົາສາມາດໃຊ້ SSH ເຂົ້າໃນເວັບໄຊທ໌້. ຜູ້ທີ່ຢູ່ໃນສະຖານະການນີ້ສາມາດປິດການໃຊ້ງານລະຫັດ "ຈື່ລະຫັດຜ່ານ" ຊົ່ວຄາວໃນ Preferences / Options ຂອງເຂົາເຈົ້າໃນເວລາທີ່ພະຍາຍາມໃຊ້ WordPress ອັບເດດໂດຍອັດຕະໂນມັດຫຼືໃຊ້ລະຫັດສ່ວນ ໜຶ່ງ ຕໍ່ WordPress ເພື່ອແກ້ໄຂພຶດຕິ ກຳ ນີ້.

  2. 2

    Doug,

    ຂ້ອຍມີບັນຫາດຽວກັນກັບການກໍ່ສ້າງບ້ານ Apache. ເປີດເຜີຍມັນແມ່ນຜົນມາຈາກການອະນຸຍາດທີ່ບໍ່ຖືກຕ້ອງແລະຄວາມເປັນເຈົ້າຂອງໃນເອກະສານແລະໄດເລກະທໍລີທີ່ແນ່ນອນ.

    http://robspencer.net/auto-update-wordpress-without-ftp/

    ລິ້ງຂ້າງເທິງນີ້ໄດ້ໃຫ້ຄວາມເຂົ້າໃຈກ່ຽວກັບວິທີການແກ້ໄຂບັນຫາໂດຍບໍ່ຕ້ອງໃຊ້ຂໍ້ມູນປະ ຈຳ ຕົວຂອງ ftp. ແນ່ນອນຂ້ອຍບໍ່ແນະ ນຳ ໃຫ້ທ່ານບອກຜູ້ໃຊ້ທັງ ໝົດ ຂອງທ່ານໄປທີ່ 775 (ແລະຂ້ອຍບໍ່ໄດ້) ແຕ່ນີ້ ນຳ ຂ້ອຍໄປໃນທາງທີ່ຖືກຕ້ອງ.

    Adam

  3. 3

    ສຳ ລັບຄົນອື່ນທີ່ ກຳ ລັງຊອກຫາວິທີແກ້ໄຂທີ່ເປັນໄປໄດ້: ນັກຂຽນບລັອກຄົນອື່ນໄດ້ແກ້ໄຂບັນຫາການອັບເດດອັດຕະໂນມັດຂອງລາວໂດຍບັງຄັບໃຫ້ເຈົ້າພາບຂອງລາວໃຊ້ php5 ໂດຍການເພີ່ມສິ່ງຕໍ່ໄປນີ້ໃນແຟ້ມ .httaccess ຂອງລາວ:

    ປະເພດ AddType x-mapp-php5 .php

  4. 4

    ຂອບໃຈ ສຳ ລັບການແລກປ່ຽນຄວາມຮູ້, ຂ້ອຍໄດ້ປະສົບບັນຫາກັບ autoupdates ແຕ່ວິທີແກ້ໄຂດຽວທີ່ຂ້ອຍໄດ້ພົບກໍ່ຄືການເຮັດໃຫ້ປັactiveກອິນເສື່ອມໂຊມຫຼັງຈາກນັ້ນ autoupdate WordPress ແລະສຸດທ້າຍກໍ່ຕອບສະ ໜອງ ທຸກໆ plugins.

    ຄຳ ແນະ ນຳ ນີ້ແມ່ນ ສຳ ລັບບັນຫາທີ່ຫຍຸ້ງຍາກແຕ່ມັນດີທີ່ຈະຮູ້ວິທີແກ້ໄຂ.

    ຄຳ ອວຍພອນຈາກປະເທດແມັກຊິໂກ!

ທ່ານຄິດແນວໃດ?

ເວັບໄຊທ໌ນີ້ໃຊ້ Akismet ເພື່ອຫຼຸດຜ່ອນການຂີ້ເຫຍື້ອ. ຮຽນຮູ້ວິທີທີ່ຂໍ້ມູນຂອງທ່ານຖືກປະຕິບັດ.